#ifndef SHADERLIGHT_H
#define SHADERLIGHT_H



#include "./../../lib/GLee/GLee.h"	
#include "./math/Mathematics.h"
#include <vector>
#include <cassert>
#include <map>
#include <string>
#include <GL/glu.h>
#include "./illumination/tricol.h"

#include "./illumination/Light.h"

// Required by golem vector3.h
using std::ostream;
using std::istream;
using std::endl;
#include "./cgSupport/GPUcomputing.h"

class FragmentParam;




class ShaderLight: public LightWrapper
{
private:
	void insertPhongParams( std::vector<FragmentParam>& output );

public:
	virtual LightType getLightType() const;
	virtual ~ShaderLight(void);
	ShaderLight( void );
	ShaderLight( const Light& light );
	virtual void insertParams( std::vector<FragmentParam>& output );
};



#endif